<?php
$module = Dever::input('search')['module_id'] ?? 1;
return array
(
    'list' => array
    (
        'where' => array('module_id' => $module, 'show' => array('<', '3')),
        # 展示左侧分栏
        'column' => array
        (
            # 分栏数据来源
            'load' => 'manage/system_module',
            # 分栏新增按钮
            //'add' => '新增',
            # 分栏编辑按钮，这里直接用图标
            //'edit' => true,
            # 分栏删除按钮，这里直接用图标
            //'delete' => true,
            'edit' => true,
            # 关键字段，一般为id或者key
            'key' => 'id',
            # 获取数据
            'data' => 'module.getTree',
            # 默认展开
            'active' => 1,
            # 对应的where条件的key
            'where' => 'module_id',
        ),
        # 展示的字段
        'field'      => array
        (
            'name' => array
            (
                'width' => '300',
            ),
            'key',
            //'path',
            'icon' => 'icon',
            'sort' => 'input',
            'show',
            /*
            'show' => array
            (
                # 行中修改 仅支持switch、select、input，太复杂的咱就别在行中修改了吧
                'type' => 'switch',
                'show'  => '{show}',
                'active_value' => 1,
                'inactive_value' => 2,
            ),*/
        ),
        # 树形表格 仅type=table时支持，这里设置获取根数据的条件即可
        'tree' => array('parent_id', '0', 'id'),

        'search'    => array
        (
            'module_id' => 'hidden',
            'name',
        ),

        'button' => array
        (
            '新增主菜单' => array('fastadd', array('parent_id' => '0', 'module_id' => $module, 'path' => '')),
        ),

        'data_button' => array
        (
            '编辑' => array('fastedit', 'name,key,icon,path,link,sort,show'),
            '新增子菜单' => array('fastadd', array('parent_id' => 'id', 'module_id' => $module)),
            //'删除' => 'recycle',
        ),

    ),
    'update' => array
    (
        'field'    => array
        (
            'name',
            'key',
            'parent_id',
            'module_id',
            'path' => array
            (
                'type' => 'select',
                'control' => true,
            ),
            'link',
            'icon' => 'icon',
            'sort',
            'show' => array
            (
                'type' => 'radio',
                'option'     => array
                (
                    1 => '展示',
                    2 => '不展示',
                ),
            ),
        ),
        'check' => 'key',
        'control' => array
        (
            'link' => array
            (
                'path' => 'link',
            ),
        ),
    ),
);